POST
/
v1
/
teams
/
{teamId}
/
content
/
media-templates
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.mediaCreation.promoteMemeTemplate({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  body: {},
})
{
  "assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "editorHref": "<string>",
  "captions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "text": "<string>",
      "x": 0.5,
      "y": 0.5,
      "width": 0.5,
      "fontFamily": "<string>",
      "fontSize": 259,
      "fill": "<string>",
      "stroke": "<string>",
      "strokeWidth": 10,
      "bold": true,
      "uppercase": true,
      "height": 0.5,
      "rotation": 0,
      "italic": true,
      "shadow": true,
      "opacity": 0.5
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

Body

application/json
assetId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
generationId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Response

PromoteMemeTemplateResponse

assetId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
editorHref
string
required
captions
object[]
required